
Name:		gwibber
Version:	2.30.1
Release:	%mkrel 2
Summary:	An open source microblogging client for GNOME developed with Python and GTK
Group:		Networking/Other
License:	GPLv2+
URL:		https://launchpad.net/gwibber
Source0:	http://launchpad.net/gwibber/2.30/%{version}/+download/gwibber-%{version}.tar.gz
# (misc) after some debugging, i have seen that the new desktopcouch, or couchdb, or what ever do not
# includes document id anymore in record that are sent back. Since they were redundant anyway, I just
# copy them from argument. Not sure if this is the right fix however.
# and of course, as the patch rely on a non merged branch of one lib, I think it may not be upstreamable
# now ( 17/08/2010 )
Patch0:     gwibber-2.30.1-fix_for_new_couchdb.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	python-mako
Requires:	dbus-python gnome-python-gconf python-pyxml python-curl
Requires:	python-webkitgtk python-feedparser pyxdg python-imaging
Requires:	python-egenix-mx-base
Requires:	python-sexy python-simplejson >= 1.9.1 gnome-python-desktop
Requires:	desktopcouch python-curl
BuildRequires:	python-devel desktop-file-utils intltool gettext python-distutils-extra
BuildArch:	noarch

%description
Gwibber is an open source microblogging client for GNOME developed with Python
and GTK. It supports Twitter, Jaiku, Identi.ca, Facebook, and Digg.


%prep
%setup -q
%patch0 -p0
sed -i -e '/^#! \?\//, 1d' $(find %{name} | grep "\.py$")

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --prefix %{_prefix} --skip-build --root %{buildroot}

## Reinstall .desktop file
#rm -rf %{buildroot}%{_datadir}/applications
desktop-file-install --dir=%{buildroot}%{_datadir}/applications build/share/applications/%{name}.desktop

## Install i18n data  (THIS MUST COME LAST)
cp -a build/mo %{buildroot}%{_datadir}/locale
%find_lang %{name}

 
%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/*
%{_datadir}/indicators/messages/applications/%{name}


%changelog
* Tue Aug 17 2010 Michael Scherer <misc@mandriva.org> 2.30.1-2mdv2011.0
+ Revision: 570935
- add a patch to gwibber to fix issues about KeyError: "_id"
- update to latest stable branch
- add missing Requires

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - python-curl is required

* Sun Apr 18 2010 Frederik Himpe <fhimpe@mandriva.org> 2.30.0.1-1mdv2010.1
+ Revision: 536443
- Update to new version 2.30.0.1

* Mon Apr 05 2010 Olivier Faurax <ofaurax@mandriva.org> 2.29.94-1mdv2010.1
+ Revision: 531482
- New version 2.29.94

* Sun Mar 28 2010 Olivier Faurax <ofaurax@mandriva.org> 2.29.92.1-2mdv2010.1
+ Revision: 528529
- Increment build number to bypass Build System dead submission in upload queue
- New version 2.29.92.1

* Sat Feb 20 2010 Frederik Himpe <fhimpe@mandriva.org> 2.29.90.1-1mdv2010.1
+ Revision: 508678
- Update to new version 2.29.90.1

* Sat Feb 13 2010 Frederik Himpe <fhimpe@mandriva.org> 2.29.1-2mdv2010.1
+ Revision: 505188
- Requires desktopcouch

* Wed Feb 10 2010 Michael Scherer <misc@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 503498
- new version of 2.29

* Sun Jul 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.2.0-0.r347mdv2010.0
+ Revision: 395327
- First Mandriva package based on Fedora's SPEC
- create gwibber

